main.floors.MT50=
{
    "floorId": "MT50",
    "title": "魔塔 第50层",
    "name": "第 50 层",
    "width": 13,
    "height": 13,
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,123,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": null,
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            "\t[hero]你怎会在这里！你到底是谁？",
            "\t[小偷,thief]我在这里只有一个理由，那就是…",
            {
                "type": "hide",
                "time": 500
            },
            {
                "type": "setBlock",
                "number": "249"
            },
            {
                "type": "show",
                "time": 500
            },
            "\t[hero]啊！你就是魔王！你怎么还活着？",
            "\t[redKing]我是不会死的。以前我只是对你的能力做测试而已。",
            "\t[hero]什么？你这是什么意思？你为什么要做这样的事情？",
            "\t[redKing]神圣剑 是你拥有的武器，智慧权杖 是我所拥有的武器。传说中说过无论谁使用它们都必需要有足够的智慧，且剑只能被真正的战士使用。",
            "\t[hero]如你所说我就是那个战士",
            "\t[redKing]是的，你是最合适的人选。但你刚到魔塔时，你的能力还不足以支配神圣剑。因此我在塔内安排了各类机关，让你通过战斗直到可以控制神圣剑。",
            "\t[hero]很好，那么外面传说有一个公主被困在魔塔，就是为了把我骗到这里。是这样的吗？",
            "\t[redKing]是的。现在如果我们能够合作那么闹剧就结束了。现在让我们一起用权杖破坏神圣剑，这样伟大的时代就要降临了。",
            "\t[hero]我不会让你毁了神圣剑, 让黑暗降临的。"
        ]
    },
    "changeFloor": {},
    "afterBattle": {
        "6,5": [
            {
                "type": "if",
                "condition": "(status:money>=50000)",
                "true": [
                    {
                        "type": "if",
                        "condition": "(status:money===50000)",
                        "true": [
                            "你居然不多不少刚好拿到了五万金币，你真是个天才\n触发隐藏结局：天才的计算",
                            {
                                "type": "win",
                                "reason": "天才的计算（隐藏结局）"
                            }
                        ]
                    },
                    {
                        "type": "choices",
                        "text": "勇者击败了魔王，且最终带着五万以上的金币离开了魔塔，赶在期限之前还清了债务，成功活了下来\n请选择榜单",
                        "choices": [
                            {
                                "text": "剩余金币",
                                "action": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50000"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:hp",
                                        "value": "status:money"
                                    },
                                    {
                                        "type": "win",
                                        "reason": "剩余金币"
                                    }
                                ]
                            },
                            {
                                "text": "攻击",
                                "action": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50000"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:hp",
                                        "value": "status:atk"
                                    },
                                    {
                                        "type": "win",
                                        "reason": "攻击"
                                    }
                                ]
                            },
                            {
                                "text": "防御",
                                "action": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50000"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:hp",
                                        "value": "status:def"
                                    },
                                    {
                                        "type": "win",
                                        "reason": "防御"
                                    }
                                ]
                            }
                        ]
                    }
                ],
                "false": [
                    "勇者击败了魔王，离开了魔塔，但离开魔塔时未能获得五万金币，因此未能在期限内还清债务，被处死了",
                    {
                        "type": "lose",
                        "reason": "被处死"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}